Bug 656244 - include ampache integration
include ampache integration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: banshee-community-extensions (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-23 05:26 EST by Jan Willies
Modified: 2011-01-29 13:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-29 13:01:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Willies 2010-11-23 05:26:49 EST
Description of problem: It would be very cool to include the new ampache integration into banshee. It is located here: http://gitorious.org/banshee-community-extensions/banshee-community-extensions/trees/master/src/Ampache

I could then ditch my last kde-app (amarok).


Version-Release number of selected component (if applicable): 1.8.0
Comment 1 Jan Willies 2010-11-23 09:02:33 EST
I needed to include --enable-ampache and change 'make V=1 %{?_smp_mflags}' to 'LC_ALL=de_DE.utf8 make V=1 %{?_smp_mflags}' (which I guess should be solved properly) to make it work. 

The utf8 hack was necessary to circumvent problems when reading banshee-community-extensions-1.9.0/src/Ampache/gtk-gui/Banshee.Ampache.PreferenceView.cs which includes some utf8 characters.
Comment 2 Christian Krause 2010-12-30 17:06:31 EST
Unfortunately the ampache extension is not part of banshee-community-extension-1.8.0 - it was commited into the master branch after the release of 1.8.

So it will land in Fedora once the next stable version 1.10 is released or if upstream backports the support into the stable-1.8 branch and releases a new tarball.
Comment 3 Jan Willies 2011-01-04 16:14:28 EST
thanks christian, will wait then
Comment 4 Christian Krause 2011-01-29 13:01:25 EST
banshee-community-extensions in rawhide contains now the ampache extension:

https://koji.fedoraproject.org/koji/buildinfo?buildID=214314

Note You need to log in before you can comment on or make changes to this bug.